none
Erro na Instalação do SQL 2008 (FrameWork 3.5 SP1) RRS feed

  • Pergunta

  •  

    Pessoal estou tentando instalar o SQL Server 2008 Developer Edition Trial. Está acusando um erro na instalação do FrameWork 3.5 SP1 (necessário para o sql 2008).

    O erro é o seguinte:

     

    [08/15/08,15:49:17] Microsoft .NET Framework 3.0SP1 (CBS): [2] Error: Installation failed for component Microsoft .NET Framework 3.0SP1 (CBS). MSI returned error code -2146762496
    [08/15/08,15:49:46] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0SP1 (CBS) is not installed.

    Tem algo de estranho pois segundo o Log acima, o erro acontece na instalação do Framework 3.0 SP1, mas o 3.0 SP1 não é compatível com o Vista SP1 (Que é o sistema operacional que estou utilizando), mas ele tenta instalar na instalação do 3.5 SP1.

     

    Alguém passou por este problema?

    Agradeço qualquer ajuda...

    Edson.

     

     

    segunda-feira, 18 de agosto de 2008 11:09

Respostas

Todas as Respostas

  • Edson,

     

    Em qual Windows você esta tentando instalar?

     

    segunda-feira, 18 de agosto de 2008 12:20
    Moderador
  • Windows Vista Ultimate SP1 32 bits PT-BR.

     

    segunda-feira, 18 de agosto de 2008 12:52
  • Edson,

     

    No Vista Ultimate!!!

     

    Faça o seguinte desintale o .Net Framework 3.5 SP1, e tente instalar o SQL Server 2008.

     

    segunda-feira, 18 de agosto de 2008 17:38
    Moderador
  • Obrigado pela resposta Junior.

    Tinha instalado anteriormente o .Net Framework 3.5 RTM, mas já desinstalei o mesmo e o problema persiste.

    O mais estranho é que o problema acontece com o 3.0 SP1 e até onde sei, isto não se aplica ao Vista.

     

    segunda-feira, 18 de agosto de 2008 17:46
  • Edson,

     

    O Windows Vista, possui integrado em seus componentes o .Net Framework 3.0, o que você poderia tentar fazer é baixar o SP1 para o Vista, e depois tentar fazer esta nova instalação do SQL Server 2008.

    segunda-feira, 18 de agosto de 2008 20:21
    Moderador
  • Junior, conforme a página da Microsoft (link abaixo), o FrameWork 3.0 SP1 não é suportado pelo Vista, apenas 2003 e XP:

    http://www.microsoft.com/downloads/details.aspx?familyid=ec2ca85d-b255-4425-9e65-1e88a0bdb72a&displaylang=en

     

    O 3.5 SP1 que tem para baixar é o mesmo que está no DVD do SQL Server 2008 Developer Trial.

    Acho que vou formatar esta máquina, pois é uma máquina de desenvolvimento, e também tinha nela instaldo a versão RC0 do SQL 2008 que tinha o FrameWork 3.5 SP1 Beta. Creio que deva ser um problema relacionado a isto, embora tenho desinstalado tudo antes de instalar a versão trial.

    Mesmo assim obrigado pela atenção...

    Abraços!

    Edson.

     

    terça-feira, 19 de agosto de 2008 10:57
  • Edson,

     

    Estranho o .Net FrameWork 3.5 SP1 não ser compatível com o Vista!!!

     

    Este link que você me passou é do 3.0, acesse este outro e veja as requementações: Microsoft .NET Framework 3.5

    http://www.microsoft.com/downloads/details.aspx?familyid=333325FD-AE52-4E35-B531-508D977D32A6&displaylang=en

     

    terça-feira, 19 de agosto de 2008 13:06
    Moderador
  •  

    O que não é suportado pelo Vista é o 3.0 SP1. O 3.5 SP1 é suportado.

    E justamente isso que é estranho, o erro que acusa é no 3.0 SP1, que não é suportado, embora a instalação que está sendo feita é do 3.5 SP1. Creio que o a instalação do 3.5 SP1 atualize a 3.0 SP1, como atualiza também a 2.0 SP2.

    Acho que ai que está o problema. Vou dar mais uma pesquisada, se tiver novidades posto aqu...

    Obrigado!

    Edson.

     

    terça-feira, 19 de agosto de 2008 16:29
  • Pessoal, fiz a instalação em uma outra máquina, com as mesmas configurações daquela que estava dando este erro e funcionou perfeitamente. Vou formatar esta máquina, como é uma máquina de desenvolvimento não terá problemas para mim, até porque nesta máquina já instalei até versões beta de alguns produtos como o VS2008, provavelmente ficou alguma "sujeira".

    Agradeço pela atenção de todos, principalmente do Júnior Galvão.

    Abraços"

    Edson.

     

     

    quinta-feira, 21 de agosto de 2008 11:11
  • Edson,

     

    Obrigado pelo retorno, que bom que funcionou, eu estava achando muito estranho este tipo de problema.

    quinta-feira, 21 de agosto de 2008 11:52
    Moderador